From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-cstruct/
Date: Tue, 23 Aug 2022 17:07:38 +0000 (UTC) [thread overview]
Message-ID: <1661273666.1d9bfc3a809d61c360d8082d73889f42932dac26.arthurzam@gentoo> (raw)
commit: 1d9bfc3a809d61c360d8082d73889f42932dac26
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 23 16:54:26 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Aug 23 16:54:26 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d9bfc3a
dev-python/python-cstruct: add 2.2
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/python-cstruct/Manifest | 1 +
.../python-cstruct/python-cstruct-2.2.ebuild | 30 ++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/python-cstruct/Manifest b/dev-python/python-cstruct/Manifest
index 5a7d48a0dbb3..9e7cc4c9d953 100644
--- a/dev-python/python-cstruct/Manifest
+++ b/dev-python/python-cstruct/Manifest
@@ -1 +1,2 @@
DIST python-cstruct-2.1.tar.gz 17298 BLAKE2B 9acc10f0d386c4413634945fc94b3e44210617c408ee18cf6533f70e7d64c609d463e9beceeea7c79b125e0bf0ab67a720d9ff98f45b4e7ce1f51d9280b55733 SHA512 c56c87d291c4aa2afcfdbcbbc19c03ec634b6fb0dcde9d516ef2a9079be2fea52a053c47cd20dfc0fe6537ac90939364da659d8eb4763069a9990681207d432c
+DIST python-cstruct-2.2.gh.tar.gz 18764 BLAKE2B 75aaffae27fef59799e52866f8169cc5d7362ef1553a56986f361ef7cfb7ca3e7d8c67fe0f112ec8e03ddacf45885e19fc1ce0d9d27c7581deafbf7e7fe1789b SHA512 5a1d62b596fef08a48020557e82fc81360430d94f18ce0667919815d57b944102067c2fe5723372616f73c995afd3a1f674e4a37e406d0dc7eeaf9fe3ef8f484
diff --git a/dev-python/python-cstruct/python-cstruct-2.2.ebuild b/dev-python/python-cstruct/python-cstruct-2.2.ebuild
new file mode 100644
index 000000000000..7b8d01c50942
--- /dev/null
+++ b/dev-python/python-cstruct/python-cstruct-2.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="C-style structs for Python"
+HOMEPAGE="https://github.com/andreax79/python-cstruct
+ https://pypi.org/project/cstruct/"
+SRC_URI="
+ https://github.com/andreax79/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=( README.md )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -e "/find_packages(/s@exclude=\[@&'tests', @" -i setup.py || die
+}
next reply other threads:[~2022-08-23 17:07 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-23 17:07 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-10-27 18:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-cstruct/ Michał Górny
2023-01-27 20:10 Michał Górny
2022-11-25 5:14 Michał Górny
2022-11-21 13:24 Michał Górny
2022-11-14 5:05 Michał Górny
2022-11-12 20:19 Arthur Zamarin
2022-11-02 7:37 Michał Górny
2022-11-02 7:37 Michał Górny
2022-10-24 19:10 Arthur Zamarin
2022-10-23 18:37 Arthur Zamarin
2022-10-23 18:37 Arthur Zamarin
2022-09-15 20:29 Arthur Zamarin
2022-09-06 17:54 Arthur Zamarin
2022-09-01 19:42 Arthur Zamarin
2022-09-01 19:42 Arthur Zamarin
2022-06-16 8:09 Michał Górny
2022-05-27 19:08 Arthur Zamarin
2022-05-27 19:08 Arthur Zamarin
2021-10-17 9:25 Michał Górny
2021-10-10 6:45 Michał Górny
2021-10-10 6:45 Michał Górny
2021-05-19 7:33 Michał Górny
2020-09-21 15:30 Michał Górny
2020-05-07 17:09 Patrick McLean
2018-07-31 22:53 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1661273666.1d9bfc3a809d61c360d8082d73889f42932dac26.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox